Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing
Class PortReference.Extension

    java.lang.Object
      org.jboss.soa.esb.addressing.PortReference.Extension

Enclosing class:
  PortReference

    public static class PortReference.Extension

extends java.lang.Object

Field Summary
`static int` | `NEITHER`
`static int` | `REFERENCE_PARAMETERS`
`static int` | `REFERENCE_PROPERTIES`

Constructor Summary
`PortReference.Extension(java.lang.String tag, java.lang.String prefix, java.lang.String uri)`
`PortReference.Extension(java.lang.String tag, java.lang.String prefix, java.lang.String uri, java.lang.String value)`
`PortReference.Extension(java.lang.String tag, java.lang.String prefix, java.lang.String uri, java.lang.String value, int parent)`

Method Summary
`void` | `addAttributes(java.util.HashMap props)`
`void` | `addChild(PortReference.Extension child)`
`boolean` | `equals(java.lang.Object rhs)` Is this object equal to the specified parameter (ignoring prefix)?
`java.util.HashMap` | `getAttributes()`
`java.util.LinkedList` | `getChildren()`
`int` | `getParent()`
`java.lang.String` | `getPrefix()`
`java.lang.String` | `getTag()`
`java.lang.String` | `getURI()`
`java.lang.String` | `getValue()`
`int` | `hashCode()` Return the hash code for this object.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### REFERENCE_PROPERTIES

    public static final int REFERENCE_PROPERTIES

See Also:
  Constant Field Values

### REFERENCE_PARAMETERS

    public static final int REFERENCE_PARAMETERS

See Also:
  Constant Field Values

### NEITHER

    public static final int NEITHER

See Also:
  Constant Field Values

Constructor Detail

### PortReference.Extension

    public PortReference.Extension(java.lang.String tag,
                                   java.lang.String prefix,
                                   java.lang.String uri)

### PortReference.Extension

    public PortReference.Extension(java.lang.String tag,
                                   java.lang.String prefix,
                                   java.lang.String uri,
                                   java.lang.String value)

### PortReference.Extension

    public PortReference.Extension(java.lang.String tag,
                                   java.lang.String prefix,
                                   java.lang.String uri,
                                   java.lang.String value,
                                   int parent)

Method Detail

### getParent

    public int getParent()

### getTag

    public java.lang.String getTag()

### getPrefix

    public java.lang.String getPrefix()

### getURI

    public java.lang.String getURI()

### getValue

    public java.lang.String getValue()

### getChildren

    public java.util.LinkedList getChildren()

### getAttributes

    public java.util.HashMap getAttributes()

### addAttributes

    public void addAttributes(java.util.HashMap props)

### addChild

    public void addChild(PortReference.Extension child)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object rhs)

  Is this object equal to the specified parameter (ignoring prefix)?

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `rhs` - The rhs object.
  Returns:
    true if the specified object is equal, false otherwise.

### hashCode

    public int hashCode()

  Return the hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hash code value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD